package com.oauth.system.vo;

import com.oauth.system.entity.SysPermission;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class MenuMeta {
    private String title;
    private String icon;
    private List<String> roles;
//    private Integer parentId;

    MenuMeta(SysPermission permission, List<String> metaRoles) {
        this.title = permission.getTitle();
        this.icon =permission.getIcon();
        this.roles =metaRoles;
//        this.parentId=permission.getParentId();
    }
}
